//https://www.youtube.com/BitaBit

//Para mais informações sobre este código acesse:
//https://youtu.be/U7RcNgb9qBE

//https://bitabittecnologia.com.br

#include <FastLED.h>

//Quantidade de LEDs na fita
#define NUM_LEDS 144

#define DATA_PIN 3

//Array de LEDs
CRGB leds[NUM_LEDS];

void setup() 
{ 
    FastLED.addLeds<NEOPIXEL, DATA_PIN>(leds, NUM_LEDS); 
}

void loop() 
{ 
  for(int i=0; i<NUM_LEDS; i++)
  {
    delayMicroseconds(1);
    leds[i] = CRGB::Blue;
    FastLED.show();
  }

  for(int i=NUM_LEDS; i>=0; i--)
  {
    delayMicroseconds(1);
    leds[i] = CRGB::Black;
    FastLED.show();
  }

}
